Bug 727883 - [abrt] libreoffice-calc-3.3.3.1-2.fc15: _cairo_xlib_surface_ensure_dst_picture->XRenderCreatePicture XError signal 6 (SIGABRT)
[abrt] libreoffice-calc-3.3.3.1-2.fc15: _cairo_xlib_surface_ensure_dst_pictur...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:ca266d1db08370120347ed0133a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 10:18 EDT by Christophe Quintard
Modified: 2012-08-07 13:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (20.17 KB, text/plain)
2011-08-03 10:18 EDT, Christophe Quintard
no flags Details
File: maps (43.50 KB, text/plain)
2011-08-03 10:18 EDT, Christophe Quintard
no flags Details
File: backtrace (84.15 KB, text/plain)
2011-08-03 10:18 EDT, Christophe Quintard
no flags Details

  None (edit)
Description Christophe Quintard 2011-08-03 10:18:14 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 3
cmdline:        /usr/lib/libreoffice/program/scalc.bin -calc
comment:        I was working on a unsaved spreadsheet, I have copied a part of the spreadsheet and right after it crashed. Hopefully my data have been copied and I have been able to paste them. Recovery also worked perfectly well.
component:      libreoffice
executable:     /usr/lib/libreoffice/program/scalc.bin
kernel:         2.6.38.8-35.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-calc-3.3.3.1-2.fc15
reason:         Process /usr/lib/libreoffice/program/scalc.bin was killed by signal 6 (SIGABRT)
time:           Mon Aug  1 16:47:49 2011
uid:            500
username:       cquintard
var_log_messages: Aug  1 16:47:50 localhost abrt[17148]: saved core dump of pid 16990 (/usr/lib/libreoffice/program/scalc.bin) to /var/spool/abrt/ccpp-2011-08-01-16:47:49-16990.new/coredump (129052672 bytes)
xsession_errors: 

backtrace:      Text file, 86168 bytes
dso_list:       Text file, 20655 bytes
maps:           Text file, 44546 bytes

build_ids:
:d360e10f91f4fe8fd374fa6232e19ad8c482e48e
:c246b6e25272b73ffbf4be8e5407fd6b6ad00837
:4fb3cb622beba22bc3133bdd4c93f7a12d8702d7
:4285ff4c8c96658a8a9e449ffd4e7022c113cd16
:4a540e52a34ab8f065a7a507cdb096dc67acd5e7
:373ef883e08b152e82868f9ec148bed0fc8d398c
:d6ef697e368f1b22719fc30b4fce0943f7198791
:5169d0935b091a52a2479c1802664e69a98a0c7b
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:1ae27c36ba6685daa37ea6d1bfca940d3394feaf
:1a051c72e3aa7a4613cf92a5218309b789a96370
:865d500b78bad182ae63e272c698ca628d4c397e
:d0e9aa5749ad8057dea3cc2927878130d91a81ee
:48639d9654a8ddf8648657a893a9c0e27c1c5556
:5029025b6ebdfbda731af5f2a0b8cac2b2aecf66
:a49013cc4bd7a37b1ccedf5bda20a87759f2d6ab
:177452c458dbd4322d2fb524e0ede4fec9020580
:7bf07d064f2f29e53a37f73f69a0fc9e392f2406
:7cde8206ad97ddf378cc9e6843180535983b0efc
:2cbe2e3753d9f63188264be3a83154bdcc676442
:10a1fe4c02ec206274901e9c8a4119d8fe3bff34
:f9a96e2ed036ba670aa4cf9022515da8707b22de
:e18695e040cee33414bc758c8716824d97f1ee7d
:a2fef08ac42209df9d26dac4c54826fed68587c1
:8e6560039090ecc7a893742ad38cac7c3bb9be9e
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:34d715e2766f8694271730798a4b8e1605ec93ea
:97639bbdf60f1f84544d8b9a7d0f23e16edce06f
:62239704ac11260cb78c670460f0d92418fac09d
:08f49a141ee7736f6b67913c0f2c7943265b50b5
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:f917a922a8e3fb4ffc32090f153a92077884c5b5
:fa9b41aa9560b743401d9bdb2927f8bbb2bca539
:798697a352bae4178953ba502fb04f33dd0ed987
:92a9033bbedc303317346dc414914fec5643bd7b
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:9cbd10954ad020efe950e6aa36bf704b9eefe86a
:7f769e855888546dab018cac09934512de54155e
:ee60ad4b28ef32ea562a4ff5958e0e948a32cffd
:0da83a92f7784342132bff4ff33f314d7bef81bc
:e1443d12c1e654a8b8e8567bed7d333add606124
:c6cdc619eac81afd5770e49e06c7459744c95248
:31a02c136abbdad4a53ccc15238f7c4915184c6a
:2c1d8b7fdbb6cf33d344a74bed60645b201d25c2
:98f748bfe2f954db4c51735552dc3532b5f73935
:2061a2aec5fb7a364fd2be743860a8522ea22d6b
:69bd68b5d1e567ca4d268e24ab1fee5442ed062e
:5336bfec30ce5ca5f503f7fcccddacbca9714960
:f9335ceda16da7cf7691ff0e54fcb1b0abfad335
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:c8b76df7ab29211e4f7803e9b3c762dd4e801986
:051b3ad269d8b1e82edab0c8c60c20314591ec48
:fdccd8924f8cb8b75e07cc5178f232a37f8a3879
:14553fd64c3391287f7266322d8706aebb7e3d5e
:fea7ac4a2c0eac7a2ce5796850e66598ae794493
:be2023aa2201e655fc1cc6e958a8e7ed2a14a988
:f3d8b7ba2b2ff56db76a9d3d63b9fb06e0ff305d
:3580277196de4da0368de1ce96c37f3447c9fdb4
:d1bd52f06b53bd6c161271fbee81ec5e0628e5af
:474d173b4adbe921819c4200d089aacc200bd55e
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:fd185c5d0679e62eea866d694ac9b92e56a072d0
:2401ea81421c4b8ff07c62826214adc232a607b4
:6d44f95060e37331b13917f910e5c2658d04f73a
:07fcedef1f951a847d2662baf33cc75db56632db
:4e560ee67f8af4a4dac74bf679d52fb767d47577
:97f9067533f8aa961b8aff6f68a06433aa00a884
:0ebd58c34053480a949df0dff1ea897939c93337
:566e3b6a180d6776c0d6a35bb389990d0d23d50c
:275832ed2591bb14c9ac38e14d6f994d51c1189b
:8ac4868db15642eb8d263874b396cb5066ab78eb
:2dc4e4ea515eca25191148452fac07de08443eb8
:45f1d2d9d07511e98138256b30eca97522f5cdd8
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:56dbf2b7630a34ab8e98d81362ac7348ec657f10
:45693fba57010c7957b247736da435af4d16c662
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:a82e984f58b09e5e002373b093d96f5087761b08
:4d5746f7d3adcd56bf2da9bfef6eef47bb3b71e4
:8039c60b902ec2627c42be0e9d4e207ac6c78e5c
:850cc7daeeddef514ae4fae88f451ce8235879a9
:5486fc219c90bea089ffda1aec3d00cdb8a8f916
:d19b5e5438048f9bfc6e36a3f986479f7e3ba4f1
:19bb8b41b36998888e1ab262888d9123daf77c14
:59ec91c3f1d48120125f1fd07676d8aa793ff5fc
:ebbf96c2957218dd10fc33aaaf9becb5a31279a4
:4411ea44e75cbc7d5f015c82431c1672cca8f360
:3f1654b2c4ec9893202b99707343ebc6926af41a
:7fe85d5c2b64f27f69d65b7a05cd400090a6762f
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:794bbb0dc5700ce03a035ab3ef5c2d54f839c0b9
:ca5561d5860b038de81621b901ed5b62b6252746
:f42bbd35702812e1e7f7f371804535d9d5e194bb
:1452b3e8c3965eb54dab7fa696cc0ccdad201130
:67be5bf1c63d18c634785e71bee087cff8df2e79
:7a431b083e137a83cd7517616c89974712a6f148
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:c972fd575d55df3a2818f5d75c8b8039f1931fa8
:47446a76cfc27f95befeb786e73facea72ae230a
:57bc4a308c35f004fdd44765388bd07d0c4efd5c
:3b47a204f6aca3899115c008165c8e53fc70b54d
:83fe69c88511cf036f5f5b51fc3d906b2351d51e
:4104e70664651830d4d7bc8cfc3278e06a0d62d0
:5d86d516501190bd56650ce243e9518a192cc4d6
:26883f508da875084090d8220f276dbda913957f
:b2e3b7e1f927ff5d61be1ba2aabc278c1c1870df
:9ffb56b874c2e837e839ac1161df9ef8f011a7b7
:58d7bbde8d709fa901e7b98393ace42344c4511e
:fc3afae408a85559bd574cba1cd309ad31636d45
:6b9bd9b77b1fd8a74d0b2ac06a76d431098e2058
:ff72394ee27216c2380a40a6c86ba8474d269c94
:8a9eb70c11cf848614f80236c95982b9d183d5c6
:6c62db659622616558823abb1c12f7c216fed997
:c46d3faa40190dfaf7bc73895f6ab6497be94cae
:a5a6c4b246b7d905efb4281b97e2f6fedf43c375
:c25551e4f8f283ab55cb499112f486009e924d42
:545287ab72a14acdca61310d3f3aa9b0a529a36f
:24c391ae2127c3ac70ae6f7529d41dcd0e3d1409
:23d1086014ed5544b3df4cee1f95694032252322
:d8902318e03685352246e563d070f6ca1c13bb14
:3101815638d73365441016287af7621eafb1e60e
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:1bfb558343b21d5443b1e2b4aec36eeee9670cdd
:61cd649f8b0908619d789a94e6ceea50086e2abb
:3383f6c1ee8d33cf0872d865001cec00acb09440
:3d82fcc3ee7ab6675d8b22de42a7c1158f04c30e
:f33d78f36e32b8a71189ae4de9343af4d86a6f15
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:fd80040f869027a2638bdbc7811dea16baae904f
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:b0e44e35677066e2ef24300842a10fe162d09923
:3315c5df9ef78b4836cffd5bc39f02777547176c
:baab43865828d95b6b28ba806b7d3ea7afab2ff0
:b8fc2aeaf3bce479350d4de85ec95d74134e7d5b
:5404c730578b4f116d71f0450b0622668b5a7217
:b73f68f80f49ed587ca0bfcb9efc9d5618cc7a9b
:0f011b0bc1b9475c55e9282c9338031ab7ee4e56
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:1479145fe69aef48f5892095a5b9815f05597d4d
:9fd45bfccc8a7303fa512661dd342113ab676768
:851ed5495ad930d3d7b153e0615d17049e917d9a
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:c833d1602084a2aefe852c6c9838a2beea3d2280
:7787b86f9784dc1968f61124e20efb8a82019a56
:826bb4d8376c62b913b61301b276adab50e11c5a
:449fed152e39da4f373599579cebfac560750f94
:ee35362499689b0a3721f572f94369e0ab14b70c
:629f465fde1e20295fd944a409793d3311f93b66
:b350a31674292a900b91f4985aa6f73dfeb27938
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:94d801f9f4c347680fa653660cb4a3be3ef71a32
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:a2afe04038c1349d632588e6e2b640d5de77ca29
:94c3da1e3566c757f6b87166fb7416db2dff479f
:469a6d4a8287d37f2af53649eebc4244aabb547d
:371857717d71aad2633e4a0d2f53824026bda0b6
:014b481dcf5a5855eed84bc905599563c6b8b353
:4709482862f00637bedaf5eeda381d3c6ecf2996
:c2ae9a2b66150928978fbcc8e9c1368784ff6542
:7da690d93e02adee244a2c324d5adb64d03d98e6
:060b01435e06948f01abd203d43207b4adfc696a
:15bab279752ad8e30f901abae77bcb1ed1f38977
:6e853da0cba4fe654b5426c6f79d7355eca4aea5
:3252d95531b3d1aaef214d933ddc5755f6c564ae
:d2ef4c58dc9745252ca78bddb5f6e211231ac069
:c05e4625ed11149b827e48ad111b0412d7f8064f
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:ad72e1eca3a3f2dcf1602cec3a77948049693ebd
:6eb4bf691b55b85d12f320229bd571a2000b7ef6
:10dc79e44af4ada03ec791dbe457eac4b8af8e14
:6fa6d3b5e7e182f4d32420e825d4fc4b7d9016d6
:571a2c7c7467c64d96339adf2669dbc408c1cd10
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:309ac01d17a460481cae8677e6d707852100ffe8
:1e774a4966c5e13ed89f9458fbdac798b3cfc0d5
:55bc6a6be16bf6d67d01c112261751327307c92f
:d92505dc952684ed3f59942efcff925f1e738748
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-cquintard
:XDG_SESSION_ID=1
:HOSTNAME=maceo
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=16977
:GPG_AGENT_INFO=/tmp/keyring-EH0hY5/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=gnome-panel-1757-maceo-libreoffice-21_TIME41959584
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9cd3a48f2d8d01f4c7ed782f00000011-1312124834.18861-1750603805
:OLDPWD=/usr/lib/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-EH0hY5
:IMSETTINGS_MODULE=none
:USER=cquintard
:LD_LIBRARY_PATH=/usr/java/jdk1.6.0_26/jre/lib/i386/client:/usr/java/jdk1.6.0_26/jre/lib/i386/native_threads:/usr/java/jdk1.6.0_26/jre/lib/i386
:SSH_AUTH_SOCK=/tmp/keyring-EH0hY5/ssh
:USERNAME=cquintard
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1568,unix/unix:/tmp/.ICE-unix/1568
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-calc.desktop
:MAIL=/var/spool/mail/cquintard
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cquintard/play-1.2.1:/home/cquintard/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cquintard
:XMODIFIERS=@im=none
:EDITOR=nano
:PLAY_HOME=/home/cquintard/play-1.2.1
:GNOME_KEYRING_PID=1559
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/cquintard
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=cquintard
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-OBctPf0Gmb,guid=9d0c077a5a007c07ca2c0b7c00000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cquintard
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-cquintard-vq1lLk/database
:_=/usr/lib/libreoffice/program/scalc.bin
Comment 1 Christophe Quintard 2011-08-03 10:18:19 EDT
Created attachment 516522 [details]
File: dso_list
Comment 2 Christophe Quintard 2011-08-03 10:18:21 EDT
Created attachment 516523 [details]
File: maps
Comment 3 Christophe Quintard 2011-08-03 10:18:23 EDT
Created attachment 516524 [details]
File: backtrace
Comment 4 Caolan McNamara 2011-08-03 12:01:39 EDT
Hmm, X11SalData::XErrorHd from an XError coming from XRenderCreatePicture which cairo created.

Might be that we're abusing cairo in some way, but 7 frames into cairo

I reckon it might help to get the X Server info as per: http://fedoraproject.org/wiki/BugZappers/StockBugzillaResponses#X_Server_Problems here as well
Comment 5 Fedora End Of Life 2012-08-07 13:56:27 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.